cdac.medinfo.sdk.hl7282.hl7model.messages.observationreporting

## Class ORA_R33

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message
  - - cdac.medinfo.sdk.hl7282.hl7model.messages.observationreporting.ORA_R33

-     public final class ORA_R33
      extends Message

  ORA_R33 - Observation Report Acknowledgement (Event R33). This message enables a response to the ORU^R30 message to provide an application level acknowledgement that may include a placer order number.

  Represents a ORA_R33 message structure (see chapter 7.3.7). This structure contains the following elements:

  0: MSH (Message Header Segment) SINGLE_COMPULSARY
  1: SFT (Software Segment) MULTIPLE_OPTIONAL
  2: UAC (User Authentication Credential) SINGLE OPTIONAL
  3: MSA (Message Acknowledgment) SINGLE COMPULSARY
  4: ERR (ERROR) MULTIPLE OPTIONAL
  5: ORC ( Common Order Information) SINGLE OPTINAL
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. These elements can be easily populated & populated values can be easily retrieved. The class has validate method which validates Message against HL7 v 2.8.2 standard.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addErrorSegment(ERR objERR)` Adds Error(ERR) segment to this message.
    `void` | `addErrorSegment(ISingleCollection<ERR> objERRSegmentCollection)` Adds collection of Error(ERR) segment to this message.
    `void` | `addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)` Adds collection of Software Segment(SFT) to this message.
    `void` | `addSoftwareSegment(SFT objSFT)` Adds Software Segment(SFT) to this message.
    `ORC` | `getCommonOrderInformationSegment()` Retrieves Common Order Information segment(ORC) present in this message.
    `MSA` | `getMessageAcknowledgmentSegment()` Retrieves Message Acknowledgment(MSA) segment present in this message.
    `ISingleCollection<ERR>` | `getSegments()` Retrieves Collection of Error(ERR) segment present in this message.
    `ISingleCollection<SFT>` | `getSoftwareSegments()` Retrieves Collection of Software Segments(SFT) present in this message.
    `UAC` | `getUserAuthenticationCredentialSegment()` Retrieves User Authentication Credential(UAC) segment present in this message
    `void` | `setCommonOrderInformationSegment(ORC objORC)` Sets value of Common Order Information segment(ORC) for this message,overwrites if already present.
    `void` | `setMessageAcknowledgmentSegment(MSA objMSA)` Sets value of MSA segment for this message,overwrites if already present.
    `void` | `setUserAuthenticationCredentialSegment(UAC objUAC)` Sets value of User Authentication Credential segment for this message,overwrites if already present.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message

      `contains, dumpMessage, dumpMessage, getACKMode, getGroup, getGroupMap, getHeader, getMessageCode, getMessageControlID, getMessageStructure, getQueryUserParameters, getSegment, getSegmentSet, getSubscriptionType, getTriggerEvent, isQuery, isResponse, populate, removeGroup, removeSegment, removeSegment, removeSegmentAttribute, removeSegmentAttribute, removeSegmentAttribute, removeSegments, setHeader, setSubscriptionType, updateSegmentAttribute, updateSegmentAttribute, validate, writeToXML, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getSoftwareSegments

          public ISingleCollection<SFT> getSoftwareSegments()

      Retrieves Collection of Software Segments(SFT) present in this message.
      Returns:
        ISingleCollection - Collection of Software Segments(SFT) present in this message.

    - #### addSoftwareSegment

          public void addSoftwareSegment(SFT objSFT)

      Adds Software Segment(SFT) to this message.
      Parameters:
        `objSFT` - Specified Software Segment(SFT) to be added in this messageto this message.

    - #### addSoftwareSegment

          public void addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)

      Adds collection of Software Segment(SFT) to this message.
      Parameters:
        `objSFTSegmentCollection` - Collection of Software Segments to add in this message

    - #### getUserAuthenticationCredentialSegment

          public UAC getUserAuthenticationCredentialSegment()

      Retrieves User Authentication Credential(UAC) segment present in this message
      Returns:
        UAC - Specified UAC Segment

    - #### setUserAuthenticationCredentialSegment

          public void setUserAuthenticationCredentialSegment(UAC objUAC)

      Sets value of User Authentication Credential segment for this message,overwrites if already present.
      Parameters:
        `objUAC` - Specified UAC Segment

    - #### getMessageAcknowledgmentSegment

          public MSA getMessageAcknowledgmentSegment()

      Retrieves Message Acknowledgment(MSA) segment present in this message.
      Returns:
        MSA - the Message Acknowledgment Segment present in this message or null if unavailable.

    - #### setMessageAcknowledgmentSegment

          public void setMessageAcknowledgmentSegment(MSA objMSA)

      Sets value of MSA segment for this message,overwrites if already present.
      Parameters:
        `objMSA` - Specified MSA Segment

    - #### getSegments

          public ISingleCollection<ERR> getSegments()

      Retrieves Collection of Error(ERR) segment present in this message.
      Returns:
        ISingleCollection - Collection of Error(ERR) segment present in this message.

    - #### addErrorSegment

          public void addErrorSegment(ERR objERR)

      Adds Error(ERR) segment to this message.
      Parameters:
        `objERr` - Specified Error(ERR) segment to be added in this messageto this message.

    - #### addErrorSegment

          public void addErrorSegment(ISingleCollection<ERR> objERRSegmentCollection)

      Adds collection of Error(ERR) segment to this message.
      Parameters:
        `objERRSegmentCollection` - Collection of Error segment to add in this message

    - #### getCommonOrderInformationSegment

          public ORC getCommonOrderInformationSegment()

      Retrieves Common Order Information segment(ORC) present in this message.
      Returns:
        ORC - the Common Order Information(ORC) Segment. present in this message or null if unavailable.

    - #### setCommonOrderInformationSegment

          public void setCommonOrderInformationSegment(ORC objORC)

      Sets value of Common Order Information segment(ORC) for this message,overwrites if already present.
      Parameters:
        `objORC` - Specified Common Order Information(ORC) Segment.